*** common/cpu.c.old	2011-05-17 23:45:06.000000000 +0300
--- common/cpu.c	2011-05-18 12:31:59.187500000 +0300
***************
*** 300,305 ****
--- 300,326 ----
  
      return X264_CPU_ALTIVEC;
  }
+ 
+ #elif SYS_AMIGAOS
+ #include <exec/exectags.h>
+ #include <proto/exec.h>
+ 
+ uint32_t x264_cpu_detect( void )
+ {
+     uint32_t vector_unit = VECTORTYPE_NONE;
+     
+     IExec->GetCPUInfoTags(
+         GCIT_VectorUnit, &vector_unit,
+         TAG_END);
+     
+    	switch (vector_unit) {
+ 	   	case VECTORTYPE_ALTIVEC:
+ 	   	    return X264_CPU_ALTIVEC;
+    	}
+    	
+    	return 0;
+ }
+ 
  #endif
  
  #elif ARCH_ARM
